% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ztppp.R
\name{ztppp}
\alias{ztppp}
\title{Simulate a zero-truncated homogeneous Poisson Point Process over (t_min, t_max]}
\usage{
ztppp(range_t = c(0, 10), rate = 1, rng_stream = NULL, atmost1 = FALSE)
}
\arguments{
\item{range_t}{(vector, double) min and max of the time interval}

\item{rate}{(scalar, double) constant instantaneous rate}

\item{rng_stream}{an \code{rstream} object}

\item{atmost1}{boolean, draw at most 1 event time}
}
\value{
a vector of event times of size \code{size}
}
\description{
Simulate a zero-truncated homogeneous Poisson Point Process over (t_min, t_max]
}
\examples{
x <- ztppp(range_t = c(0, 10), rate = 0.001)
}
